# Create dispute representment

This method allows you to initiate a dispute representment case with associated evidence files.

Endpoint: POST /dispute-representments/create
Version: 1.0.0
Security: merchant, signature

## Security:

  - `merchant` (unknown)
    apiKey in header merchant

  - `signature` (unknown)
    apiKey in header signature

## Header parameters:

  - `merchant` (string, required)

  - `signature` (string, required)

## Request fields (application/json):

  - `dispute_type` (string, required)
    Type of represented dispute.
    Enum: "card", "paypal"

  - `dispute_id` (string, required)
    Identifier of the represented dispute that corresponds to the orders chargebacks id in chargebacks.

  - `evidence_file_id` (string, required)
    Unique identifier of the evidence file.
Should be provided with a file size not exceeding 2 MB (2097152 bytes).

  - `dispute_id` (string, required)
    Identifier of the represented dispute that corresponds to the dispute_id parameter in PayPal disputes.

  - `evidence_file_id` (string, required)
    Unique identifier of the evidence file.
Should be provided with a file size not exceeding 10 MB (10485760 bytes).

## Request examples:

  - `Card dispute representment` (unknown)

  - `PayPal dispute representment` (unknown)

## Response 200:

  - `200` (unknown)
    Request received

## Response 200 fields (application/json):

  - `id` (string, required)
    Unique identifier of the created dispute representment.

  - `error` (object, required)
    Error object.

  - `error.code` (string, required)
    Unauthorized access due to invalid credentials.
    Example: 1.01

  - `error.messages` (array, required)
    Array of error messages applied to the decline payment.

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `error` (object, required)
    Error object.

  - `error.code` (string, required)
    Error code.
    Example: 2.01

  - `error.message` (string, required)
    Error message.
    Example: Validation error

  - `error.constraints` (object)
    Map of constraints.

## Response 404:

  - `404` (unknown)
    Not found

## Response 404 fields (application/json):

  - `error` (object, required)
    Error object.

  - `error.code` (string)
    Enum: "2.01 Dispute not found", "2.01 File not found"

  - `error.code` (string, required)
    Error 2.01 code.
    Enum: "2.01"

  - `error.message` (string, required)
    Dispute not found.
Specified dispute not found in the system.

  - `error.message` (string, required)
    File not found.
File with provided ID not found.

## Response 422:

  - `422` (unknown)
    Unprocessable entity

## Response 422 fields (application/json):

  - `error` (object, required)
    Error object.

  - `error.code` (string)
    Enum: "2.01 File not ready", "2.01 File size exceeded", "2.01 File type not supported", "2.01 Representment already exists", "2.01 Representment not possible"

  - `error.code` (string, required)
    Error 2.01 code.
    Enum: "2.01"

  - `error.message` (string, required)
    File not ready.
File object was created, but its content uploaded was not completed yet.

  - `error.message` (string, required)
    File size exceeded.
Evidence file size exceeds the limit for the requested dispute type.

  - `error.message` (string, required)
    File type not supported.
Evidence file type is not suitable for dispute representment.

  - `error.message` (string, required)
    Representment already exists.

  - `error.message` (string, required)
    Representment not possible.
The representment is not possible due to the current state of the dispute.

## Response 200 examples:

  - `Success` (unknown)

  - `Authentication failed` (unknown)

## Response 400 examples:

  - `Error 2.01 Invalid data` (unknown)

## Response 404 examples:

  - `Error 2.01 Dispute not found` (unknown)

  - `Error 2.01 File not found` (unknown)

## Response 422 examples:

  - `Error 2.01 File not ready` (unknown)

  - `Error 2.01 File size exceeded` (unknown)

  - `Error 2.01 File type not supported` (unknown)

  - `Error 2.01 Representment already exists` (unknown)

  - `Error 2.01 Representment not possible` (unknown)

